#include "../include.h"

#define PD_OK 0
#define PD_ER 1
#define PD_OF 2
#define PD_NA 3
#define PD_PE 4
#define PD_FU 5

class postnet_download
{
	bool getreply (i_argstream&, o_argstream&);
	char *data;
	int dlen;
	struct {
		int n, d;
	} cache;
	char *Goto (int);
   public:
	postnet_download (char*, char* = NULL);
	int success;
	int replies;
	char *Author, *Title, *Parent, *ThisPRL;
	char *nPRL	(int);
	char *nTitle	(int);
	char *nAuthor	(int);
	char *nDate	(int);
	char *nCRC	(int);
	~postnet_download ();
};

class postnet_get
{
   public:
	postnet_get (char*, bool, unsigned long = 0);
	unsigned int len;
	int rep;
	char *type, *date, *content;
	bool itsbinary, crcok;
	~postnet_get ();
};
